﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;
using System.Globalization;

namespace HierarchicalGrouping_ValueConverter
{
    public class MonthGroupingConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var result =
                      from picture in value as IEnumerable<Picture>
                      group picture by new { picture.month } into GroupedPictures
                      select new { Month = GroupedPictures.Key, Items = GroupedPictures };
            return result;
        }
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return null;
        }
    }
}